### Method

# EDataBook BookBackend contains_email_sync

since: 3.44

#### Declaration [src]

    gboolean
    e_book_backend_contains_email_sync (
      EBookBackend* backend,
      const gchar* email_address,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Checks whether contains an `email_address`. When the `email_address` contains multiple addresses, then returns `TRUE` when at least one address exists in the address book.

If an error occurs, the function will set `error` and return `FALSE`.

Available since: 3.44

#### Parameters

`email_address`

  Type: `const gchar*`

  An email address.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` when found the `email_address`, `FALSE` on failure.